; +----------+-----------+
; | PureHTML | Ryan Touk |
; +----------+-----------+
; | 10.16.2012 @ Creation (PureBasic 4.61)
; |   .17.     . Added CSS classes, improved HTML generation
; |   .18.     . Reduced &nbsp; where possible
; |   .31.     . Added style frame settings
; | 11.02.     . Used "white-space:pre;" to reduce "&nbsp;" to " "
; |   .03.     . Fixed IncludeBinary and IncludePath links (no .htm), blank lines
; | 12.27.     . Added "Line Numbers" style with separate background color,
; |                fixed trailing styled whitespace problem, keyboard shortcuts
; |  1.02.2013 . Updated code to be compatible with PureBasic 5.10 Beta 2
; |   .18.     . Preferences now auto-load correctly, inputs fields are validated
; |   .19.     . Added generate, close, and about buttons, open-when-done option
; |   .20.     . Added settings import/export, added ColorCanvas popup menu
; |  2.12.     @ Version 1.00 release (PureBasic 5.10 Beta 8)


;-
;- Constants

#PH_Title   = "PureHTML"
#PH_Author  = "Ryan Touk"
#PH_Version =  100
#PH_Website = "www.grudlux.com"

;- Compile Settings
#PH_CompactSpaces = #True

;- Includes / Procedures

XIncludeFile "_shared.pbi"
XIncludeFile "_windows.pbi"
XIncludeFile "_styles.pbi"
XIncludeFile "_highlight.pbi"






;- Initializations

If (Not CreateMainWindow())
  Error("Main window could not be created!")
EndIf

If (Not FindLibrary())
  Error("Syntax Highlighting library not found!")
EndIf

LoadIDEPrefs()
UpdateMainWindow()
HideWindow(#PHW_Main, #False)
SetActiveWindow(#PHW_Main)
SetActiveGadget(#PHG_InFile)







;- Main Loop

Repeat
  Event = WaitWindowEvent()
  
  Select (EventWindow())
    Case (#PHW_Main)
      MainWindowEvent(Event, EventGadget(), EventType(), EventMenu())
  EndSelect
  
Until (ExitFlag)
Shutdown(0)

;-
;  EOF
; IDE Options = PureBasic 5.10 Beta 8 (Windows - x86)
; EnableXP
; EnableUser